from click.testing import CliRunner
from spidercrypt import cli

def test_gen_key():

    runner = CliRunner()

    result = runner.invoke(cli, ["gen-key"])

    assert result.exit_code == 0

    assert len(result.output.strip()) > 20
